Debian Bug report logs - #581186
quilt: add conversion script to new 3.0 (quilt) format

version graph

Package: quilt; Maintainer for quilt is Martin Quinson <mquinson@debian.org>; Source for quilt is src:quilt.

Reported by: Osamu Aoki <osamu@debian.org>

Date: Tue, 11 May 2010 13:15:01 UTC

Severity: wishlist

Tags: patch

Found in version quilt/0.48-7

Fixed in version quilt/0.60-3

Done: Martin Quinson <mquinson@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Quinson <mquinson@debian.org>:
Bug#581186; Package quilt. (Tue, 11 May 2010 13:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
New Bug report received and forwarded. Copy sent to Martin Quinson <mquinson@debian.org>. (Tue, 11 May 2010 13:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: quilt: add conversion script to new 3.0 (quilt) format
Date: Tue, 11 May 2010 22:12:26 +0900
[Message part 1 (text/plain, inline)]
Package: quilt
Version: 0.48-7
Severity: wishlist
Tags: patch

dpatch2quilt.sh is a nice example for people to move from dpatch to
quilt.  But it is for dh_quilt_* based package under 1.0 source format.
Now that we have 3.0 (quilt) format, we should have a example to move to
3.0 (quilt) format.

I attach here deb3 script an example script to do this.

It not only coverts dpatch system but also convert old dh_quilt_* based
package and cdbs packages and dbs packages.  They are all converted to
3.0 (quilt) format with this.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-3-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages quilt depends on:
ii  bzip2                         1.0.5-4    high-quality block-sorting file co
ii  diffstat                      1.47-1     produces graph of changes introduc
ii  gettext                       0.17-11    GNU Internationalization utilities
ii  patch                         2.6-2      Apply a diff file to an original

quilt recommends no packages.

Versions of packages quilt suggests:
pn  graphviz                      <none>     (no description available)
pn  procmail                      <none>     (no description available)

-- no debconf information

[deb3 (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Quinson <mquinson@debian.org>:
Bug#581186; Package quilt. (Tue, 11 May 2010 13:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
Extra info received and forwarded to list. Copy sent to Martin Quinson <mquinson@debian.org>. (Tue, 11 May 2010 13:33:06 GMT) Full text and rfc822 format available.

Message #10 received at 581186@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: 581186@bugs.debian.org
Subject: Bug#581186: quilt: add conversion script to new 3.0 (quilt) format
Date: Tue, 11 May 2010 22:30:54 +0900
[Message part 1 (text/plain, inline)]
Hi,

I should have found this before sending deb3 script.  

Attached fix stupid typo I had.

Osamu
[deb3.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Quinson <mquinson@debian.org>:
Bug#581186; Package quilt. (Sat, 17 Jul 2010 18:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
Extra info received and forwarded to list. Copy sent to Martin Quinson <mquinson@debian.org>. (Sat, 17 Jul 2010 18:30:05 GMT) Full text and rfc822 format available.

Message #15 received at 581186@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: 581186@bugs.debian.org
Subject: updated deb3
Date: Sun, 18 Jul 2010 03:28:05 +0900
[Message part 1 (text/plain, inline)]
I have been using this script to convert archive.  Here is my updated
one.  Slightly touched up.

Osamu

[deb3 (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Quinson <mquinson@debian.org>:
Bug#581186; Package quilt. (Wed, 17 Aug 2011 16:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
Extra info received and forwarded to list. Copy sent to Martin Quinson <mquinson@debian.org>. (Wed, 17 Aug 2011 16:30:04 GMT) Full text and rfc822 format available.

Message #20 received at 581186@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: 581186@bugs.debian.org
Subject: Updated script
Date: Thu, 18 Aug 2011 01:25:21 +0900
[Message part 1 (text/plain, inline)]
Here is a updated script using new QUILT_PATCH_OPTS format.


[deb3 (text/plain, attachment)]

Added tag(s) pending. Request was from Martin Quinson <martin.quinson@loria.fr> to control@bugs.debian.org. (Tue, 25 Dec 2012 21:12:03 GMT) Full text and rfc822 format available.

Message sent on to Osamu Aoki <osamu@debian.org>:
Bug#581186. (Tue, 25 Dec 2012 21:12:05 GMT) Full text and rfc822 format available.

Message #25 received at 581186-submitter@bugs.debian.org (full text, mbox):

From: Martin Quinson <martin.quinson@loria.fr>
To: 581186-submitter@bugs.debian.org
Subject: Bug#581186 marked as pending
Date: Tue, 25 Dec 2012 21:08:58 +0000
tag 581186 pending
thanks

Hello,

Bug #581186 reported by you has been fixed in the Git repository. You can
see the changelog below, and you can check the diff of the fix at:

    http://git.debian.org/?p=collab-maint/quilt.git;a=commitdiff;h=88d1297

---
commit 88d129761c1daf761976469bd51b24594496d1d9
Author: Martin Quinson <martin.quinson@loria.fr>
Date:   Tue Dec 25 22:05:13 2012 +0100

    Add deb3 script to convert debian source package to new 3.0 (quilt) format

diff --git a/debian/changelog b/debian/changelog
index 63fe084..d70cc33 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -6,6 +6,8 @@ quilt (0.60-3) UNRELEASED; urgency=low
     not the file top (Closes: #689554).
     This should help clumsy tools that get fooled when the control
     file begins with an empty paragraph, even if they should not break.
+  * Add deb3 script to convert debian source package to new 3.0
+    (quilt) format. Thanks to Osamu Aoki for that (Closes: #581186). 
 
  -- Martin Quinson <mquinson@debian.org>  Wed, 19 Dec 2012 15:38:33 +0100
 



Reply sent to Martin Quinson <mquinson@debian.org>:
You have taken responsibility. (Thu, 27 Dec 2012 16:21:09 GMT) Full text and rfc822 format available.

Notification sent to Osamu Aoki <osamu@debian.org>:
Bug acknowledged by developer. (Thu, 27 Dec 2012 16:21:09 GMT) Full text and rfc822 format available.

Message #30 received at 581186-close@bugs.debian.org (full text, mbox):

From: Martin Quinson <mquinson@debian.org>
To: 581186-close@bugs.debian.org
Subject: Bug#581186: fixed in quilt 0.60-3
Date: Thu, 27 Dec 2012 16:17:49 +0000
Source: quilt
Source-Version: 0.60-3

We believe that the bug you reported is fixed in the latest version of
quilt, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 581186@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Quinson <mquinson@debian.org> (supplier of updated quilt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 27 Dec 2012 17:06:19 +0100
Source: quilt
Binary: quilt
Architecture: source all
Version: 0.60-3
Distribution: unstable
Urgency: low
Maintainer: Martin Quinson <mquinson@debian.org>
Changed-By: Martin Quinson <mquinson@debian.org>
Description: 
 quilt      - Tool to work with series of patches
Closes: 549482 581186 587001 659944 689554
Changes: 
 quilt (0.60-3) unstable; urgency=low
 .
   * debian/control: specify the encoding to emacs at the file bottom,
     not the file top (Closes: #689554).
     This should help clumsy tools that get fooled when the control
     file begins with an empty paragraph, even if they should not break.
   * debian/control: Recommends less, as we use it in most commands
     (probably all but the raw push/pop ones). (LP: #1089601)
   * Add deb3 script to convert debian source package to new 3.0
     (quilt) format. Thanks to Osamu Aoki for that (Closes: #581186).
   * d/p/dep3mail: Allow mail subcommand to get the mail subject
     from dep3-formated patches, so that I can use it to report
     the changes done to quilt itself to my own upstream.
   * d/p/doc_search_of_patches: Document the fact that quilt searches
     for its `patches' directory in the same way that git searches for
     its configuration (Closes: #549482).
   * d/p/doc_exit_status: Document the exit status (Closes: #587001).
   * d/p/graph_depends_on_graphviz: Provide an informative message on
     'quilt graph' without graphviz being installed (Closes: #659944).
   * d/p/default_pager_less-R: Use 'less -R' as default pager (LP: #933617)
Checksums-Sha1: 
 132606889538d91a011a0d20ade5d09594ca14fd 1964 quilt_0.60-3.dsc
 6a5875baced4671f6c70cd25a355bca2cc7ac480 34263 quilt_0.60-3.debian.tar.gz
 665fcd394fdec44ef527cad79d88b4ebd695536f 380612 quilt_0.60-3_all.deb
Checksums-Sha256: 
 b358497773ad663ef605b642ed80aedb0f93c3ec362013577e8e0431d439c535 1964 quilt_0.60-3.dsc
 eaa13f0dbc4fedff8405de58dd18a8efb80db358008b9322719cced6a4a52592 34263 quilt_0.60-3.debian.tar.gz
 c5748303fa8a4333ad1e66a600113bf6b581afeca9c838d1b442f9f65b5cb917 380612 quilt_0.60-3_all.deb
Files: 
 6eb997aa71e1064337b6e52f76d5eb54 1964 vcs optional quilt_0.60-3.dsc
 31f4fb173ac0c55a6ee834035dddc509 34263 vcs optional quilt_0.60-3.debian.tar.gz
 b582c00a8e9fdab5150e113bd02c63ef 380612 vcs optional quilt_0.60-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQ3HJxAAoJEJi9lyRPc76nBRMP/Rq+d9wBjh5SHcHkBQ/Qse+6
l4tVIYq0dLNd5TfJOKKXTTYNcDhR/OhXpxDtLYo7PBYVXo6gneuG+HgJWp1HETRn
doUZe8Y/iX1k0TMEi3uz1VbkiGoxAoy5zEB5QICCoNqxGOAXvXlxUlI/TZROKzxM
zrKTdXUEMg+rkRcKe5eJvUP9+KnGqkmscTqIpRqAH1fpIdikqW8QmN+DCEnIhj3y
WQtIEIyyLYqvT7X1XGeVN9EmXeyoZUn4IA8+ICq74iNiWpm2XmpSJJzkWB8i9hNc
SYxVQXmZcofc7P1NqLsfIPkmbJsymlgbRuF3TzsCtcuilGEmiM6+DTiSF6EnzpIj
pk3g2vycwAPoHO94lZ3In+ffdQzXDmZZWKJIeiGwRpePzz0YJBj237fgX1UgKeug
oUsWfvGromOfy0D8KsASGfE697We3s1YtlP1vAk5StGoNpS9VRV6LXORmXFGr0+A
1hh0VD926t78vPLxi6/eIcWydUEsM4sDvQw1pBk5LnHKJnfkXEKhYjCWFIdg29hT
d7x1Cc4YGU1AY4QE+xDo/hi1UQlrgWjRjIheHrxxMV7B++R2yI1yOwsCpnRElzZu
ijJulI/d22D7ZMYt7ilBNL2iArxgJC1/wjQGQgMuxD6CLE3nzL3ECwDhGLxq9FW+
WZC70yKP/oZckQ+/gLTz
=SsPP
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 03 Jun 2013 09:15:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:17:21 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.